Subject: bug#70519: 30.0.50; Device for Emacs terminal I/O

From: Helmut Eller <[email-masked]>
Date: Tue, 23 Apr 2024 08:09:45 +0200

On Tue, Apr 23 2024, Eli Zaretskii wrote:

>> I'd like to start Emacs under GDB, but so that Emacs doesn't use the
>> same terminal as GDB.
>
> You should be able to do that with GDB features.  These include:
>
>   . the 'set inferior-tty' command
>   . the 'set new-console' command
>
> The first sets the terminal of the debuggee to the named terminal, the
> latter causes GDB to create a new terminal each time you "run" a
> debuggee, and force the debuggee to use that new terminal.  These
> commands should work for you without any changes to the Emacs sources.
>
> Alternatively, you could start GDB from a different terminal and
> attach it to an already running Emacs, but this does not allow you to
> debug the Emacs startup code.

Yes, I will use that.  That's much easier than improving a feature that
apparently nobody uses.  You can close this bug.

Helmut